/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Dao;


import LoginDb.DbHandler;
import java.sql.CallableStatement;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;

/**
 *
 * @author 1242938
 */
public class UserCreationDao {

    public String UserCreationServletProc(String pacsId, String userName, String userRole, String limit, String tellerId, String ipFlag, String staticIP) {
        Connection con = null;
        CallableStatement proc = null;
        String res = null;


        try {
            con = DbHandler.getDBConnection();
            proc = con.prepareCall("{ call operations2.user_creation(?,?,?,?,?,?,?,?) }");

            proc.setString(1, pacsId);
            proc.setString(2, userName);
            proc.setString(3, userRole);
            proc.setString(4, limit);
            proc.setString(5, tellerId);
            proc.registerOutParameter(6, OracleTypes.VARCHAR);
            proc.setString(7, ipFlag);
            proc.setString(8, staticIP);

            proc.executeUpdate();

           // res = proc.getString(6);//error message

        } catch (Exception e) {
           // e.printStackTrace();
           // System.out.println("Exception occured  in UserCreationServletProc for user Id :" + tellerId);
            System.out.println("Error occurred during processing.");
            res= "Error occured. Please try again.";
        } finally {
            try {
                if (con != null) {
                    con.close();
                }
            } catch (Exception e) {
               // e.printStackTrace();
               System.out.println("Error occurred during connection close.");
            }
        }

        return res;
    }

    
}
